package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.KitGroupPurchaseTypeEnum;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * 对应数据库表(charge_type_subject_mapper):
 */
public class ChargeTypeSubjectMapper {

	/**  */
	private Long id;
	
	/**  */
	@ApiModelProperty(value = "收费类型编号",required = false)
	private Integer chargeTypeId;
	
	/**  */
	@ApiModelProperty(value = "科目编号",required = false)
	private Integer subjectId;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	/**  */
	@ApiModelProperty(value = "乐器提供方式",required = false)
	private KitGroupPurchaseTypeEnum kitGroupPurchaseTypeEnum;

	/**  */
	@ApiModelProperty(value = "乐器押金",required = false)
	private BigDecimal depositFee;

	/**  */
	@ApiModelProperty(value = "课程费用",required = false)
	private BigDecimal fee;
	
	@ApiModelProperty(value = "商品折扣率",required = false)
	private BigDecimal goodsDiscountRate;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setChargeTypeId(Integer chargeTypeId){
		this.chargeTypeId = chargeTypeId;
	}
	
	public Integer getChargeTypeId(){
		return this.chargeTypeId;
	}
			
	public void setSubjectId(Integer subjectId){
		this.subjectId = subjectId;
	}
	
	public Integer getSubjectId(){
		return this.subjectId;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public KitGroupPurchaseTypeEnum getKitGroupPurchaseTypeEnum() {
		return kitGroupPurchaseTypeEnum;
	}

	public void setKitGroupPurchaseTypeEnum(KitGroupPurchaseTypeEnum kitGroupPurchaseTypeEnum) {
		this.kitGroupPurchaseTypeEnum = kitGroupPurchaseTypeEnum;
	}

	public BigDecimal getDepositFee() {
		return depositFee;
	}

	public void setDepositFee(BigDecimal depositFee) {
		this.depositFee = depositFee;
	}

	public BigDecimal getFee() {
		return fee;
	}

	public void setFee(BigDecimal fee) {
		this.fee = fee;
	}

	public BigDecimal getGoodsDiscountRate() {
		return goodsDiscountRate;
	}

	public void setGoodsDiscountRate(BigDecimal goodsDiscountRate) {
		this.goodsDiscountRate = goodsDiscountRate;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
